"use strict";

exports.__esModule = true;
exports.default = transformFile;

var _fs = _interopRequireDefault(require("fs"));

var _config = _interopRequireDefault(require("./config"));

var _transformation = _interopRequireDefault(require("./transformation"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function transformFile(filename, opts, callback) {
  if (opts === void 0) {
    opts = {};
  }

  if (typeof opts === "function") {
    callback = opts;
    opts = {};
  }

  opts.filename = filename;
  var config = (0, _config.default)(opts);
  if (config === null) return callback(null, null);

  _fs.default.readFile(filename, "utf8", function (err, code) {
    if (err) return callback(err, null);
    var result;

    try {
      result = (0, _transformation.default)(config, code);
    } catch (_err) {
      return callback(err, null);
    }

    callback(null, result);
  });
}